Bug 118115 - java/eclipse does not work on FreeBSD 7
Summary: java/eclipse does not work on FreeBSD 7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-eclipse mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-19 08:10 UTC by Hardy Schumacher
Modified: 2008-01-17 08:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hardy Schumacher 2007-11-19 08:10:00 UTC
Eclipse does not work on FreeBSD-7.0 BETA3.
After starting the splashscreen appears, but loading bar is not visible. After a few seconds following error message appears in a separate dialog:
JVM terminated. Exit code=1
/usr/local/bin/java
-Xms40m
-Xmx256m
-jar /usr/local/eclipse/startup.jar
-os freebsd
-ws gtk
-arch x86
-launcher /usr/local/eclipse/eclipse
-name Eclipse
-showsplash 600
-exitdata 1000b
-vm /usr/local/bin/java
-vmargs
-Xms40m
-Xmx256m
-jar /usr/local/eclipse/startup.jar

After clicking "Ok" button in that error dialog, splashscreen is still there and eclipse must be killed explicitly.

Fix: 

n/a
How-To-Repeat: I've tested it multiple times, the error was always there.
On my other PC, an AMD64 with FreeBSD-7.0 BETA2 "AMD64 platform", eclipse showed same behavior.
Comment 1 Edwin Groothuis freebsd_committer 2007-11-19 08:10:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-eclipse

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Daniel Rucci 2007-12-17 14:56:39 UTC
Hey Hardy,
    Not really a fix to your bug but does java/eclipse-devel work for 
you? Perhaps that failing too might shed some light.

Dan
Comment 3 rainer 2007-12-30 19:22:20 UTC
Hi,

the same is true for eclipse and eclipse-devel on FreeBSD7RC1

I've got:

diablo-jdk-1.5.0.07.01_8 Java Development Kit 1.5.0_07.01

...
pid 21230 (java), uid 1001: exited on signal 11 (core dumped)
...


The only difference between eclipse and eclipse-devel is that the later 
one doesn't show a splash-screen ;-)




cheers,
Rainer
Comment 4 dfilter service freebsd_committer 2008-01-16 16:26:18 UTC
glewis      2008-01-16 16:26:13 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse-devel   Makefile distinfo 
    java/eclipse-devel/files eclipse.desktop eclipse.in 
  Log:
  . Make eclipse-devel.desktop point to eclipse-devel as it should rather
    than eclipse. [1]
  . Use a more consistent naming convention as per other -devel ports. [1]
  . Remove trailing blank lines in distinfo to make portlint(1) happier. [1]
  . Force eclipse-devel to use one of the jdk* ports rather than the
    diablo-jdk15 port on FreeBSD 7.x and higher as mixing the native
    7.x libraries of eclipse and the native 6.x libraries of diablo-jdk
    is a recipe for trouble. [2]
  
  PR:             119403 [1], 118115 [2]
  Submitted by:   Daniel Rucci <rucci@smurfbsd.warganizer.com> [1]
  
  Revision  Changes    Path
  1.14      +17 -4     ports/java/eclipse-devel/Makefile
  1.6       +0 -3      ports/java/eclipse-devel/distinfo
  1.2       +1 -1      ports/java/eclipse-devel/files/eclipse.desktop
  1.4       +2 -2      ports/java/eclipse-devel/files/eclipse.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2008-01-17 07:51:50 UTC
glewis      2008-01-17 07:51:46 UTC

  FreeBSD ports repository

  Modified files:
    java/eclipse         Makefile 
    java/eclipse/files   eclipse.in 
  Log:
  . Force eclipse to use one of the jdk* ports rather than the diablo-jdk15
    port on FreeBSD 7.x and higher as mixing the native 7.x libraries of
    eclipse and the native 6.x libraries of diablo-jdk is a recipe for trouble.
  
  PR:             118115
  
  Revision  Changes    Path
  1.54      +14 -0     ports/java/eclipse/Makefile
  1.10      +2 -2      ports/java/eclipse/files/eclipse.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Greg Lewis freebsd_committer 2008-01-17 07:52:28 UTC
State Changed
From-To: open->closed

I believe the change I just committed to force eclipse to use one of the 
jdk* ports on 7.x should fix this.